App\Library\Amazon\Classes\LightingType:
    properties:
        forUseWith:
            expose: true
            access_type: public_method
            serialized_name: ForUseWith
            accessor:
                getter: getForUseWith
                setter: setForUseWith
            type: string
        lightingType:
            expose: true
            access_type: public_method
            serialized_name: LightingType
            accessor:
                getter: getLightingType
                setter: setLightingType
            type: string
        powerType:
            expose: true
            access_type: public_method
            serialized_name: PowerType
            accessor:
                getter: getPowerType
                setter: setPowerType
            type: string
        power:
            expose: true
            access_type: public_method
            serialized_name: Power
            accessor:
                getter: getPower
                setter: setPower
            type: App\Library\Amazon\Classes\PowerDimensionType
        lightingSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightingSourceType
            accessor:
                getter: getLightingSourceType
                setter: setLightingSourceType
            type: string
        specialtyUse:
            expose: true
            access_type: public_method
            serialized_name: SpecialtyUse
            accessor:
                getter: getSpecialtyUse
                setter: setSpecialtyUse
            type: string
